#include <Inventor/Win/SoWin.h>
#include <Inventor/Win/viewers/SoWinExaminerViewer.h>
#include <Inventor/nodes/SoMaterial.h>
#include <Inventor/nodes/SoCylinder.h>
#include <Inventor/nodes/SoRotationXYZ.h>
#include <Inventor/nodes/SoCoordinate3.h>
#include <Inventor/nodes/SoSeparator.h>
#include <Inventor/nodes/SoTranslation.h>
#include <Inventor/nodes/SoQuadMesh.h>
#include <Inventor/nodes/SoMaterialBinding.h>
#include <Inventor/nodes/SoShapeHints.h>
#include <Inventor/nodes/SoTriangleStripSet.h>
#include <Inventor/nodes/SoPointLight.h>
#include <Inventor/nodes/SoSpotLight.h>
#include <Inventor/nodes/SoSphere.h>
#include <Inventor/nodes/SoDirectionalLight.h>
#include <Inventor/nodes/SoRotation.h>
#include <Inventor/nodes/SoTransform.h>
#include <Inventor/nodes/SoCone.h>
#include <Inventor/nodes/SoTranslation.h>

static float verPosElGun [16] [3]
{

}



//32
static int32_t indices[] = {

};



SoSeparator * Matice()
{

SoSeparator * result = new SoSeparator;
	
soShapeHints *myHints =new SoShapeHints;
myHints->vertexOrdering =SoShapeHints::COUNTERCLOCKWISE;
result ->addChild(myHints)


SoMaterial *MyMaterials = new SoMaterial;
myMaterials->diffuseColor.setValues(0,2,colors);
result->addChild(MyMaterials)

SoMaterialBinding *MyMatB = new SoMaterialBinding;
myMaterialBinding->value = SoMaterialBinding:PER_PART_INDEXED;
result ->addChild(MyMatB);

SoCoordinate3 * MyCoords = new SoCoordinate3;
myCoords->point.setValues(0,40,vertexPositions);
result ->addChild(MyCoords);

SoIndexedTriangleStripSet *myStrips = new SoIndexedTriangleStripSet;
myStrips->coordIndex.setValues(0, sizeof(indices)/sizeof(int32_t), indices);
result ->addChild(myStrips);

return result;

}

int
main(int, char ** argv)
{


  HWND window = SoWin::init(argv[0]);
  if (window==NULL) exit(1);

  SoWinExaminerViewer * viewer = new SoWinExaminerViewer(window);

 
  SoSeparator * root = new SoSeparator();
  root->ref();

//-----------------------------mycode----------------

//------matice----

//----END matice---

//-----------------------------END mycode----------------


  viewer->setSceneGraph(root);
  viewer->show();

  SoWin::show(window);
  SoWin::mainLoop();
  delete viewer;
  root->unref();


  
  return 0;
}